Bug 1096423 - Transmission-QT package is pointing to a missing icon
Summary: Transmission-QT package is pointing to a missing icon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: transmission
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL: https://trac.transmissionbt.com/ticke...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-10 02:00 UTC by Brad Laue
Modified: 2014-05-21 23:30 UTC (History)
7 users (show)

Fixed In Version: transmission-2.82-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-21 23:30:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Brad Laue 2014-05-10 02:00:55 UTC
Description of problem:
Transmission-QT shows a generic icon - this is because transmission.desktop is looking for 'transmission-qt', but the transmission-common package installs only 'transmission.png'.

Version-Release number of selected component (if applicable):
transmission-qt-2.82-1.fc20
transmission-common-2.82-1.fc20

How reproducible:


Steps to Reproduce:
1. yum install transmission-qt
2. Observe /usr/share/applications/transmission-qt.desktop - Icon=transmission
3. Observe /usr/share/pixmaps/transmission.png
4. Note generic icon in GNOME desktop

Additional info:
My first Fedora bug. Hopefully I didn't get anything egregiously wrong.

Comment 1 Rahul Sundaram 2014-05-10 02:42:12 UTC
Hi Brad Laue,

Welcome to Fedora's Bugzilla!  Thanks for the report.  I am quite busy with school now but will take a look at this in a couple of days and push out an update.

Comment 2 Fedora Update System 2014-05-17 18:12:01 UTC
transmission-2.82-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/transmission-2.82-3.fc20

Comment 3 Rahul Sundaram 2014-05-17 18:24:33 UTC
I have filed this issue upstream as well, FYI

https://trac.transmissionbt.com/ticket/5685

Comment 4 Fedora Update System 2014-05-18 22:54:38 UTC
Package transmission-2.82-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing transmission-2.82-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6474/transmission-2.82-3.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-05-21 23:30:04 UTC
transmission-2.82-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.